{% sw_extends '@Storefront/storefront/layout/header/actions/service-menu-widget.html.twig' %}

{% block layout_header_actions_service_menu_widget %}
    {% if position is empty %}
        {% set position = 'top-bar' %}
    {% endif %}

    {% if page.header.serviceMenu|length > 0 %}
        {% for category in page.header.serviceMenu %}
            {% set externalLink = category.translated.externalLink %}
            <li class="nav-item">
            	<a class="nav-link"
				href="{% if externalLink %}{{ externalLink }}{% else %}{{ seoUrl('frontend.navigation.page', { navigationId: category.id }) }}{% endif %}"
				title="{{ category.translated.name }}">{{ category.translated.name }}</a>
            </li>
        {% endfor %}
    {% endif %}
{% endblock %}
